#!/bin/bash
echo '' > Makefile 
echo 'DESTDIR = ' >> Makefile
echo 'PREFIX = /usr/local' >> Makefile
echo 'DIRS = \' >> Makefile
ls -R | grep ^./ | sed 's_^./\(.*\):$_\t$(DESTDIR)$(PREFIX)/share/chino/presets/default/\1 \\_' >> Makefile
echo '' >> Makefile
echo '' >> Makefile
echo -e "dirs:" >> Makefile
echo -e "\tinstall -m755 -d \$(DIRS)" >> Makefile
echo '' >> Makefile
echo -e "files:\tdirs" >> Makefile
for line in $(ls -R | grep ^./ | sed 's_^./\(.*\):$_\1_') ; do
    dirs=$(ls -l "$line" | grep ^d | wc -l)
    files=$(( $(ls -l "$line" | wc -l) - 1))
    if [ $dirs -lt $files ] ; then
        if [ $dirs -eq 0 ] ; then 
            echo -e "\tinstall -m644 $line/* \\
                \$(DESTDIR)\$(PREFIX)/share/chino/presets/default/$line/">> Makefile
        else
            for entry in $(ls $line) ; do
                if [ ! -d "$line/$entry" ] ; then
                    echo -e "\tinstall -m644 $line/$entry \\
                \$(DESTDIR)\$(PREFIX)/share/chino/presets/default/$line/" >> Makefile
                fi
            done
        fi
    fi
done
echo '' >> Makefile
echo -e 'install:\t files dirs' >> Makefile
echo '' >> Makefile


# vim:set ts=4 sw=4 et:
